EnhancedDHTImpl
Keywords: uk.ac.ic.doc.automed.p2p.overlay.EnhancedDHTImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.overlay
Class EnhancedDHTImpl

    java.lang.Object
      ow.dht.impl.DHTImpl
          uk.ac.ic.doc.automed.p2p.overlay.EnhancedDHTImpl

All Implemented Interfaces:
  ow.dht.advanced.AdvancedDHT, ow.dht.DHT

    public class EnhancedDHTImpl

extends ow.dht.impl.DHTImpl

EnhancedDHTImpl.java
Extends `DHTImpl` to support the filtering of the entire result value set instead of one value at a time.

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on August 20, 2006
  Department of Computing, Imperial College

Field Summary

Fields inherited from class ow.dht.impl.DHTImpl
`config, globalDir, localDir, selfIDAddressPair, TAG_GET, TAG_REMOVE`

Constructor Summary
`EnhancedDHTImpl(ow.dht.DHTConfiguration config, ow.id.ID selfID)`
`EnhancedDHTImpl(ow.dht.DHTConfiguration config, ow.routing.RoutingService routingSvc)`
`EnhancedDHTImpl(short applicationID, short applicationVersion, ow.dht.DHTConfiguration config, ow.id.ID selfID)`

Method Summary
`protected void` | `prepareCallbacks(ow.routing.RoutingService routingSvc)` override this method

Methods inherited from class ow.dht.impl.DHTImpl
`get, get, getConfiguration, getGlobalKeys, getGlobalValues, getKeysFromDirectory, getLastKeyString, getLastRouteString, getLocalKeys, getLocalValues, getRoutingAlgorithmConfiguration, getRoutingService, getRoutingTableString, getSelfIDAddressPair, joinOverlay, joinOverlay, put, put, put, put, put, put, remove, remove, remove, remove, remove, resume, setStatCollectorAddress, stop, suspend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedDHTImpl

    public EnhancedDHTImpl(ow.dht.DHTConfiguration config,
                           ow.id.ID selfID)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

### EnhancedDHTImpl

    public EnhancedDHTImpl(short applicationID,
                           short applicationVersion,
                           ow.dht.DHTConfiguration config,
                           ow.id.ID selfID)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

### EnhancedDHTImpl

    public EnhancedDHTImpl(ow.dht.DHTConfiguration config,
                           ow.routing.RoutingService routingSvc)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### prepareCallbacks

    protected void prepareCallbacks(ow.routing.RoutingService routingSvc)

  override this method

  Overrides:
    `prepareCallbacks` in class `ow.dht.impl.DHTImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD